Rework the visibleActions logic in SwipeListItem
ClosedPublic

Authored by leinir on Aug 12 2019, 11:09 AM.

Details

Summary

visibleActions is really only used to check whether there are
any actions visible at all, the number is irrelevant. For some
unknown reason the old logic would occasionally get caught in
some out of order silliness (so we'd end up with a negative
number of visible actions), but with this logic we only check
whether there is any visible actions at all, so the whole thing
is less stateful.

Test Plan

Using Peruse on mobile, load up the Store and see that with the
old logic there are no handles on the items. With the new
logic there is.

Diff Detail

Repository
R169 Kirigami
Branch
rework-swipelistitem-visible-actions-logic (branched from master)
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 15019
Build 15037: arc lint + arc unit
leinir created this revision.Aug 12 2019, 11:09 AM
Restricted Application added a project: Kirigami. · View Herald TranscriptAug 12 2019, 11:09 AM
Restricted Application added a subscriber: plasma-devel. · View Herald Transcript
leinir requested review of this revision.Aug 12 2019, 11:09 AM
leinir updated this revision to Diff 63658.Aug 13 2019, 1:47 PM
  • Only check for other visible actions if this one is not visible
mart accepted this revision.Aug 14 2019, 2:39 PM
This revision is now accepted and ready to land.Aug 14 2019, 2:39 PM
This revision was automatically updated to reflect the committed changes.